
      real function random(idum)
      implicit none
      
      integer idum
      
      real ran, ft_ran2
      
c      random = ran(idum)

      random = ft_ran2(idum)

      return
      
      end
